summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-05 05:15:13 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-05 05:46:48 +0100
commitfb495139efc642cf2968cf342797a08eefbf6a39 (patch)
tree1ea0b332a400bf16c3166e3cec8532834881d35d /dev-python
parent83db16aa4a194089c34562e433b76d8ae08bc238 (diff)
downloadgentoo-fb495139efc642cf2968cf342797a08eefbf6a39.tar.gz
gentoo-fb495139efc642cf2968cf342797a08eefbf6a39.tar.bz2
gentoo-fb495139efc642cf2968cf342797a08eefbf6a39.zip
dev-python/simsimd: Bump to 6.5.15
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/simsimd/Manifest2
-rw-r--r--dev-python/simsimd/simsimd-6.5.15.ebuild64
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 2d29a04b5859..73714547dc62 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -2,3 +2,5 @@ DIST simsimd-6.5.13.tar.gz 186854 BLAKE2B d576c26895960a10cbf0cfd135d00aeddc2d3f
DIST simsimd-6.5.13.tar.gz.provenance 9532 BLAKE2B f8946ba8766dabc7963ba3538cda52efc6b80d9774f2c8cb6179cee37648f52e96444e071262041b77980fcabe3fe72650f391ce1d1548e2d55e7d7a239b69cf SHA512 841a672c2ac21a195bb44de2d18971cf195bd6452f12fd559407833874bef97ef7d04c05ab2470faf806c9dd72b46a599b59f80408074601a9970d09d4ed6130
DIST simsimd-6.5.14.tar.gz 186858 BLAKE2B 672593790defcc1ab6781e5bdb114652d193291f53b72dd81dfe059b1a1c2d4ba48f400dbb181fc86e9281efcda9301c9db5d1032ebfa8b9e4b8fce9a5f74c6a SHA512 57940db51cb21621dfa94159776a13207aafccb54a989e9ca19a73d733e2c1449b15a2bc9a03025dd51876e76d8f9e339a0d948418f531cacb0b084cc8785b3d
DIST simsimd-6.5.14.tar.gz.provenance 9353 BLAKE2B 90229287ec211d693bc31cbeca4dda5fbb8e094b3be1400eae985ec3354e7f751b87f53e29a81687e7c29ab8242e7e8622d6fe409b9a97bdcbb8be29e355f21b SHA512 d79c7624efe9ea9697f70005730bbc6137e58986bacd705a8c620cf6fb03a280f9557e81e66eb1a92e858e509f2f210bb16532e5a0551ea641562f17deccf06a
+DIST simsimd-6.5.15.tar.gz 186832 BLAKE2B 2ad541c94883f9c3b925c50872fbabadd3f6543d9ee33e877d4c5394ee21a72a6e80fed0648d4dbebe8b8dea391b2684ec719bc13e56eea0eebecae3acb86355 SHA512 1c565c7b5b486d54f22b6e68a80587f79f983794176870b131044214277046a4fba312d7fafa68e7f60b708389909e1817c34afa69066c9b878fcd732bbbeb1b
+DIST simsimd-6.5.15.tar.gz.provenance 9588 BLAKE2B 87ef699494028296ba4240cb86b9be76f612da84252ac9e4981bf25a03019d2c5817123279b259fd1c86ca39596ca7ed144a5e8a95e0b3f49c2ad826deb2cac3 SHA512 7742413438b43f71457a16b5f2ec2039b86f5ae256247e4ec15b9b676d221ea856bb2a813ba786dc77586a0840e588967aea7cc1cd11da18934ccae5bcf8509c
diff --git a/dev-python/simsimd/simsimd-6.5.15.ebuild b/dev-python/simsimd/simsimd-6.5.15.ebuild
new file mode 100644
index 000000000000..802d91b93057
--- /dev/null
+++ b/dev-python/simsimd/simsimd-6.5.15.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/ashvardanian/SimSIMD
+# TODO: freethreading
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and Arm"
+HOMEPAGE="
+ https://github.com/ashvardanian/SimSIMD/
+ https://pypi.org/project/simsimd/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+ test? (
+ dev-python/tabulate[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-repeat )
+distutils_enable_tests pytest
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+src_prepare() {
+ sed -i -e '/-O3/d' setup.py || die
+ if ! use openmp; then
+ sed -i -e '/-fopenmp/d' setup.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ einfo "Please disregard initial compiler errors -- the package is checking"
+ einfo "for target support."
+
+ distutils-r1_src_compile
+}
+
+python_test() {
+ epytest scripts/test.py
+}